%define gtkglext_major 1.0
%define gtkglextmm_major 1.2
%define gtkmm_major 2.4

Summary: C++ wrapper for GtkGlExt
Name: gtkglextmm
Version: 1.2.0
Release: 10%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
URL: http://gtkglext.sourceforge.net
Source0: http://dl.sourceforge.net/sourceforge/gtkglext/%{name}-%{version}.tar.bz2
Patch0: gtkglextmm-1.2.0-aclocal.diff

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtkglext-devel >= %{gtkglext_major}
BuildRequires: gtkmm24-devel >= %{gtkmm_major}

Requires(postun): /sbin/ldconfig
Requires(post):	/sbin/ldconfig

%description
gtkglextmm is a C++ wrapper for GtkGlExt, an OpenGL extension to GTK+.

%package devel
Summary: Development tools for gtkglextmm
Group: Development/Libraries

Requires: %{name} = %{version}
Requires: gtkmm24-devel
Requires: gtkglext-devel

%description devel
The gtkglextmm-devel package contains the header files, static libraries,
and developer docs for gtkglextmm.

%prep
%setup -q -n gtkglextmm-%{version}
%patch0 -p1

%build
%configure --disable-static --disable-dependency-tracking
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog README TODO AUTHORS COPYING.LIB COPYING NEWS
%{_libdir}/libgtkglextmm-x11-*so.*
%{_libdir}/libgdkglextmm-x11-*so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/%{name}-%{gtkglextmm_major}
%{_libdir}/lib*la
%{_libdir}/lib*so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
%dir %{_datadir}/doc/%{name}-%{gtkglextmm_major}
%doc %{_datadir}/doc/%{name}-%{gtkglextmm_major}/html/

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec  4 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2.0-8
- Include unowned doc directories in -devel pkg.
- post/postun: execute ldconfig directly

* Fri Jul 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.0-7
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.0-6
- Autorebuild for GCC 4.3

* Mon Sep 11 2006 Gilles Gagniard <gilles.gagniard@gmail.com> 1.2.0-5
- Rebuild for FC6

* Tue Jun 06 2006 Ralf Corsépius <rc040203@freenet.de> 1.2.0-4
- Add --disable-dependency-tracking.
- Fix broken gtkglmmext.m4 (PR 194201).

* Wed May 24 2006 Ralf Corsépius <rc040203@freenet.de> 1.2.0-3
- Increment Release, add %%{?dist}.

* Fri May 17 2006 Gilles Gagniard <gilles.gagniard@gmail.com> 1.2.0-2
- Removed unnecessary dependencies

* Fri May 12 2006 Gilles Gagniard <gilles.gagniard@gmail.com> 1.2.0-1
- First version of the package
